Skip to main content
GET
Get the status of a Client Report PDF generation request

Authorizations

x-api-key
string
header
required

Query Parameters

jobId
string
required

The job ID returned by /clientReports/generatePDF

Response

Successful operation

reportId
string
jobId
string
status
enum<string>

"started" / "inProgress" while the PDF is being generated - keep polling. "done" when downloadUrl is ready. "errored" if generation failed (see errorReason) - request a new PDF to try again

Available options:
started,
inProgress,
done,
errored
downloadUrl
string

Only present when status is "done"

downloadUrlExpiresAt
string

Only present when status is "done" - when downloadUrl stops working

generatedAt
string

Only present when status is "done" - when the PDF was generated

errorReason
string

Only present when status is "errored" - why the PDF could not be generated (see the response examples)

Example:

"The report could not be displayed - it may have been deleted or is not available"